jdbm

## Class RecordManagerOptions

- java.lang.Object
- - jdbm.RecordManagerOptions

    public final class RecordManagerOptions
    extends Object

Standard options for RecordManager. Final reference -> class shouldn't be extended

Author:
  Alex Boisvert, Cees de Groot

### Field Summary

Fields
`static String` `AUTO_COMMIT` Option to automatically commit data after each operation.
`static String` `CACHE_SIZE` Cache size (when applicable)
`static String` `CACHE_TYPE` Cache type.
`static String` `DISABLE_TRANSACTIONS` Option to disable transaction (to increase performance at the cost of potential data loss).
`static String` `NORMAL_CACHE` Use normal (strong) object references for the record cache.
`static String` `PROVIDER_FACTORY` Option to create a thread-safe record manager.
`static String` `SOFT_REF_CACHE` Use soft references {$link java.lang.ref.SoftReference} for the record cache instead of the default normal object references.
`static String` `THREAD_SAFE` Option to create a thread-safe record manager.
`static String` `WEAK_REF_CACHE` Use weak references {$link java.lang.ref.WeakReference} for the record cache instead of the default normal object references.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROVIDER_FACTORY

    public static final String PROVIDER_FACTORY

Option to create a thread-safe record manager.

See Also:
  Constant Field Values

#### THREAD_SAFE

    public static final String THREAD_SAFE

Option to create a thread-safe record manager.

See Also:
  Constant Field Values

#### AUTO_COMMIT

    public static final String AUTO_COMMIT

Option to automatically commit data after each operation.

See Also:
  Constant Field Values

#### DISABLE_TRANSACTIONS

    public static final String DISABLE_TRANSACTIONS

Option to disable transaction (to increase performance at the cost of potential data loss).

See Also:
  Constant Field Values

#### CACHE_TYPE

    public static final String CACHE_TYPE

Cache type.

See Also:
  Constant Field Values

#### CACHE_SIZE

    public static final String CACHE_SIZE

Cache size (when applicable)

See Also:
  Constant Field Values

#### NORMAL_CACHE

    public static final String NORMAL_CACHE

Use normal (strong) object references for the record cache.

See Also:
  Constant Field Values

#### SOFT_REF_CACHE

    public static final String SOFT_REF_CACHE

Use soft references {$link java.lang.ref.SoftReference} for the record cache instead of the default normal object references.

Soft references are cleared at the discretion of the garbage collector in response to memory demand.

See Also:
  Constant Field Values

#### WEAK_REF_CACHE

    public static final String WEAK_REF_CACHE

Use weak references {$link java.lang.ref.WeakReference} for the record cache instead of the default normal object references.

Weak references do not prevent their referents from being made finalizable, finalized, and then reclaimed.

See Also:
  Constant Field Values